import { OnInit, ElementRef } from '@angular/core';
import { DomSanitizer } from '@angular/platform-browser';
import { ClipboardService } from '../clipboard.service';
import { DataTableUtilsService } from "../data-table-utils.service";
interface MenuItem {
    text: string;
    shortcut: string;
    icon: string;
    hasOptions?: boolean;
    onClick: any;
    options?: Array<MenuItem>;
    hasSeparator?: boolean;
    enabled?: boolean;
    rowData?: Array<any>;
    columnData?: Array<any>;
    contextData?: any;
    copyFunction?: any;
    clipboardService?: any;
    onDelete?: any;
}
export declare class ContextMenuComponent implements OnInit {
    clipboardService: ClipboardService;
    private domSanitizer;
    private dataTableService;
    private _x;
    private _y;
    x: number;
    y: number;
    isEdit: boolean;
    contextData: any;
    theme: string;
    rowData: any;
    columnData: Array<any>;
    MenuItems: Array<MenuItem>;
    contextMenu: ElementRef;
    copyTextToClipboard(text: any, clipboardService: any): void;
    constructor(clipboardService: ClipboardService, domSanitizer: DomSanitizer, dataTableService: DataTableUtilsService);
    ngOnInit(): void;
}
export {};
